Description

Hello,

This error appears occasionally when trying to provision a VM on a VMWARE provider via a network based install (see image in

attachment).

This error can be viewed on the virtual machine itself by accessing it via the vSphere client console.

When trying to check the URL it returns a 404 code.

$ curl -w %{http_code} -s -o /dev/null 'http://foreman.wit.prod:80/unattended/finish?token=09077d6

8-1c31-439f-8265-2bc8071a6e00'

404

 Note that this issue does not block the provisioning, you can just press enter to continue and the installation will proceed.

History

#1 - 11/16/2015 03:02 AM - Dominic Cleal

- Status changed from New to Need more information

Could you provide the logs from Foreman (/var/log/foreman/production.log) during the request from the installation?  This should show where the

problem is - e.g. it doesn't recognise the host, a template error etc.  Although it may not stop installation, it probably prevents the finish script from

running.

#2 - 11/16/2015 05:26 AM - Anthony Lapenna

- File foreman_host_creation_log.txt added

I've attached the logs related to the installation request.

#3 - 11/16/2015 05:29 AM - Dominic Cleal

The log shows an image build, not a network install.  It also doesn't show the finish template request, so either, a) the log's wrong, or b) the request

isn't making it to Foreman (some network, DNS etc issue).

#4 - 11/16/2015 05:37 AM - Anthony Lapenna

- File foreman_host_creation_log_2.txt added

My bad, it seems that the VM has been built via image, deleted and then rebuilt via network.

Logs attached.

#5 - 11/16/2015 05:40 AM - Dominic Cleal

Do you have any later logs?  You should see requests for:

/unattended/provision - the main preseed, which must be working to have got it that far
/unattended/finish - the finish script, which appears to be failing

#6 - 11/16/2015 05:44 AM - Anthony Lapenna

- File foreman_host_creation_log_3.txt added

Sure, I got this.

#7 - 11/16/2015 05:48 AM - Dominic Cleal

- Status changed from Need more information to Feedback

The log shows multiple requests to /finish, the first of which is working fine (2015-11-13T13:41:10).  The ones later (2015-11-13T13:46:42) are

probably you testing, but the server was built by that stage so they returned 404.

I think the screenshot is probably instead saying that something inside your finish script failed.  Have a look at the template and the preview and try to

debug it - perhaps a command is failing.  You can always add some logging to it, e.g.

(

... commands

) 2>&1 | tee /root/install.post.log

 and check the log on the server after installation.

#8 - 11/16/2015 06:09 AM - Anthony Lapenna

Ok, I'll try to debug my finish script.

#9 - 05/17/2017 11:07 AM - Anonymous

- Status changed from Feedback to Resolved
